FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora User

 
 
LinkBack Thread Tools
 
Old 07-11-2011, 08:32 PM
Deron Meranda
 
Default F15 error in Ruby gem caused by package rubygem-yard missing overwrite_accessor method

In Fedora 15, whenever trying to run Ruby gem I am getting an error
message, apparently caused by the rubygem-yard package.

$ gem -v
Error loading RubyGems plugin
"/usr/lib/ruby/gems/1.8/gems/yard-0.5.3/lib/rubygems_plugin.rb":
undefined method `overwrite_accessor' for Gem::Specification:Class
(NoMethodError)
1.7.2

And my current installed versions:

rubygems-1.7.2-2.fc15.noarch
rubygem-yard-0.5.3-3.fc14.noarch

Is this a bug, or something misconfigured on my system?

I did notice that rubygem-yard shows as being from f14, instead of
f15. I'm not even sure what rubygem-yard is or why I have it - has it
been deprecated in F15?

Thanks
--
Deron Meranda
http://deron.meranda.us/
--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 
Old 07-11-2011, 09:02 PM
Deron Meranda
 
Default F15 error in Ruby gem caused by package rubygem-yard missing overwrite_accessor method

On Mon, Jul 11, 2011 at 4:32 PM, Deron Meranda <deron.meranda@gmail.com> wrote:
> In Fedora 15, whenever trying to run Ruby gem I am getting an error
> message, apparently caused by the rubygem-yard package.
...
> *rubygems-1.7.2-2.fc15.noarch
> *rubygem-yard-0.5.3-3.fc14.noarch


Update .... Apparently rubygem-yard is needed by rubygem-haml.

# rpm -q rubygem-yard rubygem-haml
rubygem-yard-0.5.3-3.fc14.noarch
rubygem-haml-3.0.17-1.fc15.noarch


Also rpm is not reporting the package dependency with --whatdepends. Why?

# rpm -q --whatrequires rubygem-yard
no package requires rubygem-yard

# rpm -e rubygem-yard
error: Failed dependencies:
rubygem(yard) >= 0.5.3 is needed by (installed)
rubygem-haml-3.0.17-1.fc15.noarch

# rpm -q --requires rubygem-haml
/usr/bin/env
/usr/bin/ruby
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
ruby(abi) = 1.8
rubygem(hpricot)
rubygem(maruku) >= 0.5.9
rubygem(yard) >= 0.5.3
rubygems
rpmlib(PayloadIsXz) <= 5.2-1

# rpm -e rubgem-yard

I'm not seeing an f15 version of the rubygem-yard package - yet
another f15 package depends on it. Is this normal?

Thanks
--
Deron Meranda
http://deron.meranda.us/
--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 
Old 07-11-2011, 09:48 PM
TASAKA Mamoru
 
Default F15 error in Ruby gem caused by package rubygem-yard missing overwrite_accessor method

Deron Meranda wrote, at 07/12/2011 05:32 AM +9:00:
> In Fedora 15, whenever trying to run Ruby gem I am getting an error
> message, apparently caused by the rubygem-yard package.
>
> $ gem -v
> Error loading RubyGems plugin
> "/usr/lib/ruby/gems/1.8/gems/yard-0.5.3/lib/rubygems_plugin.rb":
> undefined method `overwrite_accessor' for Gem::Specification:Class
> (NoMethodError)
> 1.7.2
>
> And my current installed versions:
>
> rubygems-1.7.2-2.fc15.noarch
> rubygem-yard-0.5.3-3.fc14.noarch
>
> Is this a bug, or something misconfigured on my system?
>
> I did notice that rubygem-yard shows as being from f14, instead of
> f15. I'm not even sure what rubygem-yard is or why I have it - has it
> been deprecated in F15?
>
> Thanks

Please file a bug against rubygem-yard, thank you.

Regards,
Mamoru



--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 
Old 07-11-2011, 10:44 PM
Deron Meranda
 
Default F15 error in Ruby gem caused by package rubygem-yard missing overwrite_accessor method

On Mon, Jul 11, 2011 at 5:48 PM, TASAKA Mamoru
<mtasaka@fedoraproject.org> wrote:
> Please file a bug against rubygem-yard, thank you.

Done. Bug 720520.

https://bugzilla.redhat.com/show_bug.cgi?id=720520

Deron
--
Deron Meranda
http://deron.meranda.us/
--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 

Thread Tools




All times are GMT. The time now is 07:30 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org